<?php
    require('./plugins/fb_oauth/fb_init.php');

	if (!GALLERY_ADMIN_MODE) {
		cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
	}
	pageheader(sprintf($lang_plugin_fb_oauth['configure_plugin_x'], $lang_plugin_fb_oauth['display_name']));
	
    global $lang_plugin_php, $CONFIG, $lang_common, $lang_pluginmgr_php, $lang_admin_php, $icon_array;

	list($timestamp, $form_token) = getFormToken();

	// get sanitized POST parameters
		if ($superCage->post->keyExists('submit')) {
		//Check if the form token is valid
		if(!checkFormToken()){
			cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
		}

  // Define the sanitization patterns
  $sanitization_array = array(  
	  'plugin_fb_oauth_appid' => array('type' => 'alnum'),
	  'plugin_fb_oauth_secret' => array('type' => 'alnum'),
	  'plugin_fb_oauth_defaultgroup' => array('type' => 'int_dbexist', 'table' => $CONFIG['TABLE_USERGROUPS'], 'column' => 'group_id'),
	  'plugin_fb_oauth_autologin' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	  'plugin_fb_oauth_want_bigloginbutton' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	  'plugin_fb_oauth_bigloginbutton_pos' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 \.\,\:\;\-\+\*\'\"\=\#]*$/'),	// Let me know if this is too strict to check for an HTML attribute which would most likely be the style= attribute
	  'plugin_fb_oauth_addbuttonforce' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	  'plugin_fb_oauth_whocanseethisalbum' => array('type' => 'int', 'min' => '0', 'max' => '1')
	  );
  $config_changes_counter = 0;
  foreach ($sanitization_array as $san_key => $san_value) {
          if ($san_value['type'] == 'int') { // type is integer --- start
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '{$CONFIG[$san_key]}') ON DUPLICATE KEY UPDATE value='{$CONFIG[$san_key]}'");
                  $config_changes_counter++;
              }
          } // type is integer --- end
 	  elseif ($san_value['type'] == 'stringmatch') { // type is stringmatch --- start
	      $testarr = $superCage->post->getMatched($san_key, $san_value['match']);
	      if ($testarr) {
		     $testval = $testarr[0];
 	             if ($testval != $CONFIG[$san_key]) {
	                  $CONFIG[$san_key] = $testval;
	                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . mysql_real_escape_string($CONFIG[$san_key]) . "') ON DUPLICATE KEY UPDATE value='" . mysql_real_escape_string($CONFIG[$san_key]) . "'");
        	          $config_changes_counter++;
		     }
              }
          } // type is stringmatch --- end
 	  elseif ($san_value['type'] == 'alnum') { // type is alnum --- start
	      $testval = $superCage->post->getAlnum($san_key);
	      if ($testval != $CONFIG[$san_key]) {
	          $CONFIG[$san_key] = $testval;
                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . mysql_real_escape_string($CONFIG[$san_key]) . "') ON DUPLICATE KEY UPDATE value='" . mysql_real_escape_string($CONFIG[$san_key]) . "'");
	          $config_changes_counter++;
	     }
          } // type is alnum --- end
 	  elseif ($san_value['type'] == 'int_dbexist') { // type is int_dbexist --- start
 	          $testval = $superCage->post->getInt($san_key);
 	          if ($testval) {
 	             $result = cpg_db_query("SELECT ".$san_value['column']." FROM ".$san_value['table']." WHERE ".$san_value['column']."=".$testval);
                     if(mysql_num_rows($result) > 0) {
                          if ($testval != $CONFIG[$san_key]) {
	                  	$CONFIG[$san_key] = $testval;
	                  	cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . $CONFIG[$san_key] . "') ON DUPLICATE KEY UPDATE value='" . $CONFIG[$san_key] . "'");
	                  	$config_changes_counter++;
        	          }
		     }
              }
          } // type is int_dbexist --- end
  }
}	

// Set the option outputs for the form variables
if ($CONFIG['plugin_fb_oauth_autologin'] == '1') {
	$option_output['plugin_fb_oauth_autologin'] = 'checked="checked"';
} else { 
	$option_output['plugin_fb_oauth_autologin'] = '';
}

if ($CONFIG['plugin_fb_oauth_want_bigloginbutton'] == '1') {
	$option_output['plugin_fb_oauth_want_bigloginbutton'] = 'checked="checked"';
} else {
	$option_output['plugin_fb_oauth_want_bigloginbutton'] = '';
}

if ($CONFIG['plugin_fb_oauth_addbuttonforce'] == '1') {
	$option_output['plugin_fb_oauth_addbuttonforce'] = 'checked="checked"';
} else {
	$option_output['plugin_fb_oauth_addbuttonforce'] = '';
}

if ($CONFIG['plugin_fb_oauth_whocanseethisalbum'] == '1') {
	$option_output['plugin_fb_oauth_whocanseethisalbum'] = 'checked="checked"';
} else {
	$option_output['plugin_fb_oauth_whocanseethisalbum'] = '';
}

	
	// start form
	$superCage = Inspekt::makeSuperCage();
	echo <<< EOT
	<form name="cpgform" id="cpgform" action="{$_SERVER['REQUEST_URI']}" method="post">
EOT;
	
	starttable('100%',  sprintf($lang_plugin_fb_oauth['configure_plugin_x'], $lang_plugin_fb_oauth['display_name']), 2, 'cpg_zebra');	
	
	// reply with success to changes or no changes made
	if ($superCage->post->keyExists('submit')) {
    echo <<< EOT
	<tr>
		<td class="tableh2" colspan="2">
EOT;
    if ($config_changes_counter > 0) {
        msg_box('', $lang_plugin_fb_oauth['update_success'], '', '', 'success');
    } else {
        msg_box('', $lang_plugin_fb_oauth['no_changes'], '', '', 'validation');
    }
echo <<< EOT
		</td>
	</tr>
EOT;
}

$html_plugin_fb_oauth_appid  = htmlentities($CONFIG['plugin_fb_oauth_appid']);
$html_plugin_fb_oauth_secret = htmlentities($CONFIG['plugin_fb_oauth_secret']);
$html_plugin_fb_oauth_bigloginbutton_pos = htmlentities($CONFIG['plugin_fb_oauth_bigloginbutton_pos']);

$options_plugin_fb_oauth_defaultgroup = '';
$result = cpg_db_query("SELECT group_id,group_name,has_admin_access,can_upload_pictures,can_create_albums FROM {$CONFIG['TABLE_USERGROUPS']} ORDER BY group_name");
while ($row = mysql_fetch_array($result)) {
	$gid = $row['group_id'];
	$flags = array();
	if ($row['has_admin_access'] != 0) { $flags['admin'] = 'admin'; }
	if ($row['can_upload_pictures'] != 0) { $flags ['upload'] = 'upload'; }
	if ($row['can_create_albums'] != 0) { $flags ['albums'] = 'albums'; }
	if (count($flags) > 0) {
		$flagstr = ' <em>('.implode('/',$flags).')</em>';
	} else {
		$flagstr = '';
	}
	$options_plugin_fb_oauth_defaultgroup .= '<option value="'.$gid.'"'.($gid==$CONFIG['plugin_fb_oauth_defaultgroup']?' selected="selected"':'').'>'.$row['group_name'].$flagstr.'</option>';
}
mysql_free_result($result);  
                                                                                               

// complete form 
echo <<< EOT
	<tr>
		<td colspan="2" class="tableh2" style="vertical-align: top;">
		<br /><h3>{$lang_plugin_fb_oauth['page_head']}</h3>
<!--		</td>
	</tr>
	<tr>
		<td colspan="2" class="tableb" style="vertical-align: top;">   -->
		{$lang_plugin_fb_oauth['cfg_instructions']}
		</td>
	</tr>
	<tr>
		<td colspan="2" class="tableb tableb_alternate " style="vertical-align: top;" align="right">
		<span>
		<a href="http://developers.facebook.com/setup/" class="admin_menu" target="_blank">{$lang_plugin_fb_oauth['facebook_createapp']}</a>
		</span>
		</td>
	</tr>
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
                {$lang_plugin_fb_oauth['fb_oauth_appid']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<input type="string" name="plugin_fb_oauth_appid" id="plugin_fb_oauth_appid" class="textinput" style="width:90%" value="{$html_plugin_fb_oauth_appid}" />
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
                {$lang_plugin_fb_oauth['fb_oauth_secret']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="string" name="plugin_fb_oauth_secret" id="plugin_fb_oauth_secret" class="textinput" style="width:90%" value="{$html_plugin_fb_oauth_secret}" />
		</td>
	</tr>
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
                {$lang_plugin_fb_oauth['fb_oauth_defaultgroup']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<select name="plugin_fb_oauth_defaultgroup" id="plugin_fb_oauth_defaultgroup" class="listbox" size="1">
		{$options_plugin_fb_oauth_defaultgroup}
		</select>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
                {$lang_plugin_fb_oauth['fb_oauth_autologin']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="checkbox" name="plugin_fb_oauth_autologin" id="plugin_fb_oauth_autologin" class="checkbox" value="1" {$option_output['plugin_fb_oauth_autologin']} />
		<label for="plugin_fb_oauth_autologin" class="clickable_option">{$lang_common['yes']}</label>
		</td>
        </tr>
        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_plugin_fb_oauth['fb_oauth_want_bigloginbutton']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<input type="checkbox" name="plugin_fb_oauth_want_bigloginbutton" id="plugin_fb_oauth_want_bigloginbutton" class="checkbox" value="1" {$option_output['plugin_fb_oauth_want_bigloginbutton']} />
		<label for="plugin_fb_oauth_want_bigloginbutton" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_plugin_fb_oauth['fb_oauth_bigloginbutton_positioncode']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="string" name="plugin_fb_oauth_bigloginbutton_pos" id="plugin_fb_oauth_bigloginbutton_pos" class="textinput" style="width:90%" value="{$html_plugin_fb_oauth_bigloginbutton_pos}" />
		</td>
	</tr>
        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_plugin_fb_oauth['fb_oauth_addbuttonforce']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<input type="checkbox" name="plugin_fb_oauth_addbuttonforce" id="plugin_fb_oauth_addbuttonforce" class="checkbox" value="1" {$option_output['plugin_fb_oauth_addbuttonforce']} />
		<label for="plugin_fb_oauth_addbuttonforce" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
        <tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_plugin_fb_oauth['fb_oauth_whocanseethisalbum']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="checkbox" name="plugin_fb_oauth_whocanseethisalbum" id="plugin_fb_oauth_whocanseethisalbum" class="checkbox" value="1" {$option_output['plugin_fb_oauth_whocanseethisalbum']} />
		<label for="plugin_fb_oauth_whocanseethisalbum" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="tableb tableb_alternate " style="vertical-align: top;" align="right">
			<span>
			<input type="hidden" name="form_token" value="{$form_token}" />
			<input type="hidden" name="timestamp" value="{$timestamp}" />
			<input class="admin_menu" type="submit" name="submit" value="{$lang_plugin_fb_oauth['submit_change']}" /> 
			</span>
		</td>
	</tr>
EOT;

	endtable();
	echo <<< EOT
	</form>
EOT;

	pagefooter();
	ob_end_flush();

?>