<?php
/****************************************************
  Coppermine 1.5.x Plugin - Facebook OAuth (fb_oauth)
  ***************************************************
  Copyright (c) 2010 Jon Troncoso, 2011 Roland Fulde
  **************************************************/

global $USER_DATA, $USER, $CONFIG;

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

require_once ('./plugins/fb_oauth/include/fbconnect.php');

// Go to the GUI configuration -- no more need to edit here!
$facebook = new Facebook(array(
  'appId'  => $CONFIG['plugin_fb_oauth_appid'],
  'secret' => $CONFIG['plugin_fb_oauth_secret'],
  'cookie' => true,
));
$login_params = array(
//	'req_perms' => 'email'
        /* enable 'email' if you want this plugin to request the email
                          address from facebook and fill it in to the
                          Coppermine user profile.
          Note that all settings here appear on the Facebook page where
          the user is asked to grant permissions, so if you want to
          invite also privacy-seeking Facebook users (which may be a
          paradoxon) and do not need the mentioned features, just disable
          them.
        */
	);

// Set this to the Coppermine group that you want Facebook users to have
//as a default group -- now numberic because of the config gui
$fb_defaultgroup = $CONFIG['plugin_fb_oauth_defaultgroup'];

// Should the gallery automatically detect whether the user is already
// logged into facebook, or should be explicitly need to press a login
// button even when he is already logged in at Facebook?
$fb_autologin = $CONFIG['plugin_fb_oauth_autologin'];

// Do you want the big (ugly?) standard Facebook login button to be
// displayed?
$fb_want_bigloginbutton = $CONFIG['plugin_fb_oauth_want_bigloginbutton'];

// HTML attributes for a <span> where the FB Login Button should be
// positioned
$fb_bigloginbutton_positioncode = $CONFIG['plugin_fb_oauth_bigloginbutton_pos'];

// Should we use brute force to add the buttons to the sysmenu?
// This is probably quite inefficient but seems the only way
// with some themes (e.g. curve).
$fb_add_sysmenu_button_brute_force = $CONFIG['plugin_fb_oauth_addbuttonforce'];

$fb_img_html = '<img src="./plugins/fb_oauth/16x16.png" border="0" height="12" style="height:1em;" alt="" class="icon" />';
$session = $facebook->getSession();

if($USER_DATA==0 && !empty($session)){
	define('LOGIN_PHP', true);
}

// Include the language file
require ("./plugins/fb_oauth/lang/english.php");
if (file_exists("./plugins/fb_oauth/lang/{$CONFIG['lang']}.php")) {
	require ("./plugins/fb_oauth/lang/{$CONFIG['lang']}.php");
}
?>