<?php
/****************************************************
  Coppermine 1.5.x Plugin - Facebook OAuth (fb_oauth)
  ***************************************************
  Copyright (c) 2010 Jon Troncoso, 2011 Roland Fulde
  **************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$lang_plugin_fb_oauth['name'] = 'Facebook OAuth Plugin';
$lang_plugin_fb_oauth['description'] = 'Login via Facebook. This plugin adds a button to your sys menu that will send your visitors to facebook\'s login page and then redirects back.';
$lang_plugin_fb_oauth['announcement_thread'] = 'Announcement Thread';
$lang_plugin_fb_oauth['facebook_createapp'] = 'Facebook App Registration';

$lang_plugin_fb_oauth['normal_login_lnk'] = 'Normal login';
$lang_plugin_fb_oauth['login_lnk'] = 'Login via Facebook';
$lang_plugin_fb_oauth['login_title'] = 'Log in with your Facebook account';
$lang_plugin_fb_oauth['logout_title'] = 'Log out from the gallery and also from Facebook';
$lang_plugin_fb_oauth['after_fb_login_msg'] = 'Welcome - you are now logged on here via Facebook';
$lang_plugin_fb_oauth['after_fb_logout_msg'] = 'Logged out from Facebook - Good Bye';
$lang_plugin_fb_oauth['fb_login_fail'] = 'Could not log you in here from Facebook';
$lang_plugin_fb_oauth['fb_langcode'] = 'en_US'; // used for Facebook's all.js Javascript

// This one is to customize CPG's corresponding text
$lang_plugin_fb_oauth['log_in_to_comment'] = 'Anonymous comments are not allowed here. Log in %swith password%s or %FBLINKSTART%via Facebook%FBLINKEND% to post your comment'; // %s placeholders = wrappers for the login link,  %FBLINKSTART%, %FBLINKEND% = wrappers for the facebook login link

// admin + confgiuration
$lang_plugin_fb_oauth['configure_plugin'] = 'Facebook OAuth configuration';
$lang_plugin_fb_oauth['page_heading'] = 'Configure Facebook OAuth plugin';
$lang_plugin_fb_oauth['page_head'] = 'Configure the settings of your Facebook OAuth plugin';
$lang_plugin_fb_oauth['submit_change'] = 'Submit Changes';
$lang_plugin_fb_oauth['update_success'] = 'Update Success';
$lang_plugin_fb_oauth['no_changes'] = 'No changes made';

$lang_plugin_fb_oauth['cfg_instructions'] = <<< EOT
Before you can make actual use of this plugin, you need to register your gallery with Facebook as an application.
Facebook will require you to log in for that - mind that this makes you a Facebook App developer, so do not
forget that you need to comply with Facebook's policies!<br />
When creating the app, specify the URL by which your gallery is normally accessed, e.g. <em>http://yoursite.net/cpg15x/</em>
- later in the login process Facebook will check that everything that you log on to is below this URL.<br />
So this will already give you the information that you need for the first two configuration settings below.
Once created, you can look up or later change these Facebook-side settings when you go to the
<a href="http://www.facebook.com/developers/" target="_blank"><em>Developers</em></a> app inside Facebook.
EOT;
$lang_plugin_fb_oauth['fb_oauth_appid'] = 'Facebook AppId for this gallery. You have received this with your Facebook App Registration. If in doubt, this should be a long decimal number.';
$lang_plugin_fb_oauth['fb_oauth_secret'] = 'Facebook Secret from the Facebook App registration. This is most likely a 32 chars long hexstring.';
$lang_plugin_fb_oauth['fb_oauth_defaultgroup'] = 'Default group for Facebook users. This is the Coppermine group to which users who initially come from Facebook will be added.';
$lang_plugin_fb_oauth['fb_oauth_autologin'] = 'Automatic login? If enabled, the gallery will try to detect automatically whether the user is already logged in to Facebook and then log him in to the gallery as well, without having to make any further clicks.';
$lang_plugin_fb_oauth['fb_oauth_want_bigloginbutton'] = 'Render the typical big Facebook button to the page? That button will just create a popup to login and not occupy the whole page for the login.';
$lang_plugin_fb_oauth['fb_oauth_bigloginbutton_positioncode'] = 'In order to set the position for the big Facebook button, you can set this to an HTML attribute for a lt;span&gt; tag. You might want to use a style= or class= attribute here.';
$lang_plugin_fb_oauth['fb_oauth_addbuttonforce'] = 'Use "brute force" to customize the sysmenu buttons for Facebook login. Please try to avoid using this option unless you have a theme that requires it. (At least this seems to work considerably well with the curves theme.)';
$lang_plugin_fb_oauth['fb_oauth_whocanseethisalbum'] = <<< EOT
Show who can see this album for restricted albums.
For non-public albums, this option will put a picture-list of those Facebook friends
on the album thumbnails page
who also have the privileges to see the album.
It may help Facebook users for their orientation on seeing what gallery content is
specific for them to whom else.
(For public albums no such notice is given.)
EOT;
                
// Texts for whocansee
$lang_plugin_fb_oauth['whocanseealbum']='The following of your Facebook friends have also permission to view this album:';
$lang_plugin_fb_oauth['noonecanseealbum']='<b>None</b> of your Facebook friends have the privileges to view this album.';
                
?>
