<?php
/****************************************************
  Coppermine 1.5.x Plugin - Facebook OAuth (fb_oauth)
  ***************************************************
  Copyright (c) 2010 Jon Troncoso, 2011 Roland Fulde
  **************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$lang_plugin_fb_oauth['name'] = 'Facebook OAuth Plugin';
$lang_plugin_fb_oauth['description'] = 'Anmeldung über Facebook: Dieses Plugin fügt einen Button zum Systemmenü hinzu, der es Benutzern erlaubt, sich über Facebooks Login-Seite und ihre Facebook-Accounts anzumelden.';
$lang_plugin_fb_oauth['announcement_thread'] = 'Announcement Thread (englisch)';
$lang_plugin_fb_oauth['facebook_createapp'] = 'Facebook App-Registrierung';

$lang_plugin_fb_oauth['normal_login_lnk'] = 'Normal anmelden';
$lang_plugin_fb_oauth['login_lnk'] = 'Via Facebook anmelden';
$lang_plugin_fb_oauth['login_title'] = 'Melde mich über meinen Facebook-Account an';
$lang_plugin_fb_oauth['logout_title'] = 'Abmelden aus der Galerie und aus Facebook';
$lang_plugin_fb_oauth['after_fb_login_msg'] = 'Willkommen - Du bist hier jetzt über Facebook angemeldet';
$lang_plugin_fb_oauth['after_fb_logout_msg'] = 'Aus Facebook abgemeldet - Auf Wiedersehen';
$lang_plugin_fb_oauth['fb_login_fail'] = 'Anmeldung von Facebook hat nicht geklappt';
$lang_plugin_fb_oauth['fb_langcode'] = 'de_DE';	// used for Facebook's all.js Javascript

// This one is to customize CPG's corresponding text
$lang_plugin_fb_oauth['log_in_to_comment'] = 'Anonyme Kommentare sind hier nicht erlaubt. Melde Dich %smit Paßwort%s an oder %FBLINKSTART%über Facebook%FBLINKEND%, um einen Kommentar abzugeben'; // %s placeholders = wrappers for the login link, %FBLINKSTART%, %FBLINKEND% = wrappers for the facebook login link

// admin + configuration                          
$lang_plugin_fb_oauth['configure_plugin'] = 'Facebook OAuth konfigurieren';
$lang_plugin_fb_oauth['page_heading'] = 'Facebook OAuth-Plugin konfigurieren';
$lang_plugin_fb_oauth['page_head'] = 'Konfiguration für das Facebook OAuth-Plugin';
$lang_plugin_fb_oauth['submit_change'] = 'Einstellungen speichern';
$lang_plugin_fb_oauth['update_success'] = 'Änderungen abgespeichert';
$lang_plugin_fb_oauth['no_changes'] = 'Keine Änderungen vorgenommen';

$lang_plugin_fb_oauth['cfg_instructions'] = <<< EOT
Bevor du dieses Plugin sinnvoll nutzen kannst, musst du deine Galerie bei Facebook als Applikation registrieren.
Dafür musst du dich bei Facebook anmelden - bedenke, dass dich das ganze zu einem Facebook App-Entwickler macht,
also beachte Facebooks Richtlinien!<br />
Beim Erstellen der Facebook-App gib die URL ein, unter der deine Galerie normalerweise erreichbar ist, also z.B.
<em>http://deinesite.net/cpg15x/</em>
- später im eigentlichen Login-Verlauf wird Facebook nämlich überprüfen, dass alles, wohin man sich einloggt, unterhalb dieser
URL liegt.<br />
Das war's auch schon: Jetzt hast du die Informationen, die du hier für die ersten beiden Konfigurationen benötigst.
Facebook-seitig kannst du diese Informationen übrigens auch später noch in der
<a href="http://www.facebook.com/developers/" target="_blank"><em>Entwickler</em></a>-App innerhalb von Facebook
anschauen und ändern.
EOT;
$lang_plugin_fb_oauth['fb_oauth_appid'] = 'Facebook Anwendungsnummer für diese Galerie. Du hast sie zusammen mit der Facebook App-Registrierung erhalten. Wenn du nicht sicher bist, welches die Anwendungsnummer ist: Sie sollte eine lange Dezimahlzahl sein.';
$lang_plugin_fb_oauth['fb_oauth_secret'] = 'Der Anwendungs-Geheimcode aus der Facebook App-Registrierung. Hierbei handelt es sich höchstwahrscheinlich um einen 32 Zeichen langen Hexstring.';
$lang_plugin_fb_oauth['fb_oauth_defaultgroup'] = 'Standard-Gruppe für Facebook-Benutzer. Dies ist die Coppermine-Gruppe, in die Benutzer, die sich zum ersten Mal von Facebook aus anmelden, einsortiert werden.';
$lang_plugin_fb_oauth['fb_oauth_autologin'] = 'Automatisch Anmelden? Diese Einstellung bestimmt, ob die Galerie automatisch zu erkennen versucht, ob ein User bereits in Facebook angemeldet ist, und meldet ihn dann auch in der Galerie an, ohne dass er irgendwohin klicken muss.';
$lang_plugin_fb_oauth['fb_oauth_want_bigloginbutton'] = 'Soll ein großer Facebook-Button angezeigt werden? Dieser große Button würde zum Anmelden ein Popup-Fenster öffnen und nicht die gesamte Seite für den Login benötigen.';
$lang_plugin_fb_oauth['fb_oauth_bigloginbutton_positioncode'] = 'Um den großen Facebook-Button zu plazieren, kann hier ein HTML-Attribut für ein &lt;span&gt;-Tag angegeben werden. Möglicherweise wird es sich um ein style= oder class= Attribut handeln.';
$lang_plugin_fb_oauth['fb_oauth_addbuttonforce'] = '"Brutal" vorgehen, um die Facebook-Buttons in die Menüleiste einzubauen. Bitte diese Option möglichst nicht benutzen, außer wenn es mit dem verwendeten Theme nicht anders geht. (Zumindest scheint dies hier mit dem "curves"-Theme ganz brauchbar zu klappen.)';
$lang_plugin_fb_oauth['fb_oauth_whocanseethisalbum'] = <<< EOT
Anzeigen, wer das aktuelle Album sehen kann.
Für nichtöffentliche Alben zeigt diese Option eine bebilderte Liste mit denjenigen
Facebook-Freunden an, die ebenfalls über Berechtigungen verfügen, das
Album zu betrachten.
Von Facebook kommende Benutzer können damit ein wenig besser einschätzen,
welche Inhalte speziell für sie und für wen sonst noch sichtbar sind.
(In öffentlichen Alben werden keine derartigen Hinweise angezeigt.)
EOT;

// Texts for whocansee
$lang_plugin_fb_oauth['whocanseealbum']='Dieses Album ist auch für folgende Deiner Facebook-Freunde sichtbar:';
$lang_plugin_fb_oauth['noonecanseealbum']='Dieses Album ist für <b>keinen</b> Deiner Facebook-Freunde sichtbar.';
?>
